List GCP projects
Returns a list of GCP projects. By default only active projects are returned; use the is_deleted filter to return deleted projects.
Query Parameters
- limit int64
Limits the size of the response on each page to the specified number of items.
- start string
Sets the page number used to browse the collection. Pages are indexed starting from 1 (i.e.,
?start=1). - filter string
Narrows down the results to only the items that satisfy the filter criteria. Supported filter fields:
Field Condition Description project_id $eq,$in The GCP project ID. is_deleted $eq Boolean flag indicating whether to return deleted ( true) or active (false) projects.
- 200
- default
Success
- application/api.clumio.gcp-projects=v1+json
- Schema
- Example (from schema)
Schema
_embedded object
items object[]
created_timestamp stringCreation time of the project in RFC-3339 format.
deleted_timestamp stringDeletion time of the project in RFC-3339 format.
id stringThe Clumio-assigned ID of the project.
is_deleted booleanIndicates whether the project has been deleted (
true) or is active (false).project_id stringThe GCP project ID.
project_number stringThe GCP project number.
updated_timestamp stringLast update time of the project in RFC-3339 format.
version int64Resource version of the project.
- current_count int64
The number of items listed on the current page.
- limit int64
The maximum number of items displayed per page in the response.
- start string
The page number used to get this response. Pages are indexed starting from 1 (i.e.,
"start": "1"). - total_count int64
The total number of items, summed across all pages.
- total_pages_count int64
The total number of pages of results.
{
"_embedded": {
"items": [
{
"created_timestamp": "string",
"deleted_timestamp": "string",
"id": "string",
"is_deleted": true,
"project_id": "string",
"project_number": "string",
"updated_timestamp": "string",
"version": 0
}
]
},
"current_count": 0,
"limit": 0,
"start": "string",
"total_count": 0,
"total_pages_count": 0
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}